SeqSimilaritySearchSubHit (BioJava-1.5-beta API)
Keywords: org.biojava.bio.search.SeqSimilaritySearchSubHit interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Interface SeqSimilaritySearchSubHit

All Superinterfaces:
  Annotatable, Changeable

All Known Implementing Classes:
  SequenceDBSearchSubHit, SimpleSeqSimilaritySearchSubHit

    public interface SeqSimilaritySearchSubHit

extends Annotatable

Objects of this type represent one particular sub-hit (one concrete sequence stretch within a sequence and associated information) from a sequence similarity search hit.

Author:
  Gerald Loeffler, Keith James

Nested Class Summary
`static class` | `SeqSimilaritySearchSubHit.ByScoreComparator` `ByScoreComparator` compares `SeqSimilaritySearchSubHit`s by their score.
`static class` | `SeqSimilaritySearchSubHit.BySubjectStartComparator` `BySubjectStartComparator` compares `SeqSimilaritySearchSubHit`s by their start position on the subject sequence.

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary
`static SeqSimilaritySearchSubHit.ByScoreComparator` | `byScore` `byScore` contains a `SeqSimilaritySearchSubHit` comparator which compares by the score of the sub-hit.
`static SeqSimilaritySearchSubHit.BySubjectStartComparator` | `bySubjectStart` `bySubjectStart` contains a `SeqSimilaritySearchSubHit` comparator which compares by the start position of the sub-hit on the subject sequence.
`static String` | `QUERY_LABEL` This object is used as the label for the query sequence in the alignment of the query sequence with this sub-hit sequence.

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`Alignment` | `getAlignment()` Return an alignment of (possibly part of) the query sequence against (possibly part of) this hit sequence.
`double` | `getEValue()` Return the E-value of this sub-hit.
`double` | `getPValue()` Return the P-value of this sub-hit.
`int` | `getQueryEnd()` Return the end position of the sub-hit in the query sequence.
`int` | `getQueryStart()` Return the start position of the sub-hit in the query sequence.
`StrandedFeature.Strand` | `getQueryStrand()` Return the strand of the sub-hit with respect to the query sequence.
`double` | `getScore()` Return the score of this sub-hit in the units defined by the search algorithm.
`int` | `getSubjectEnd()` Return the start position of the sub-hit in the subject sequence.
`int` | `getSubjectStart()` Return the start position of the sub-hit in the subject sequence.
`StrandedFeature.Strand` | `getSubjectStrand()` Return the strand of the sub-hit with respect to the subject sequence.

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### QUERY_LABEL

    static final String QUERY_LABEL

  This object is used as the label for the query sequence in the alignment of the query sequence with this sub-hit sequence.

  See Also:
    Constant Field Values

### byScore

    static final SeqSimilaritySearchSubHit.ByScoreComparator byScore

  `byScore` contains a `SeqSimilaritySearchSubHit` comparator which compares by the score of the sub-hit.

### bySubjectStart

    static final SeqSimilaritySearchSubHit.BySubjectStartComparator bySubjectStart

  `bySubjectStart` contains a `SeqSimilaritySearchSubHit` comparator which compares by the start position of the sub-hit on the subject sequence.

Method Detail

### getScore

    double getScore()

  Return the score of this sub-hit in the units defined by the search algorithm.

  Returns:
    the score of this sub-hit. This is a mandatory piece of information and hence may not be NaN.

### getPValue

    double getPValue()

  Return the P-value of this sub-hit.

  Returns:
    the P-value of this sub-hit. This is an optional (but desired) piece of information and implementations of this interface may return NaN if a P-value is not available for this hit.

### getEValue

    double getEValue()

  Return the E-value of this sub-hit.

  Returns:
    the E-value of this sub-hit. This is an optional (but desired) piece of information and implementations of this interface may return NaN if an E-value is not available for this hit.

### getQueryStart

    int getQueryStart()

  Return the start position of the sub-hit in the query sequence.

  Returns:
    an `int`.

### getQueryEnd

    int getQueryEnd()

  Return the end position of the sub-hit in the query sequence.

  Returns:
    an `int`.

### getQueryStrand

    StrandedFeature.Strand getQueryStrand()

  Return the strand of the sub-hit with respect to the query sequence. This may be null for protein sequences.

  Returns:
    a `Strand`.

### getSubjectStart

    int getSubjectStart()

  Return the start position of the sub-hit in the subject sequence.

  Returns:
    an `int`.

### getSubjectEnd

    int getSubjectEnd()

  Return the start position of the sub-hit in the subject sequence.

  Returns:
    an `int`.

### getSubjectStrand

    StrandedFeature.Strand getSubjectStrand()

  Return the strand of the sub-hit with respect to the subject sequence. This may be null for protein sequences.

  Returns:
    a `Strand`.

### getAlignment

    Alignment getAlignment()

  Return an alignment of (possibly part of) the query sequence against (possibly part of) this hit sequence. In this alignment, the query is identified by the label given by the static field QUERY_LABEL.

  Returns:
    the alignment of the query sequence against this hit sequence.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD